error while installing peertools
0
0
Entering edit mode
15 months ago
rheab1230 ▴ 120

Hello, I am trying to install peertools but when I do cmake command it throws error I tried to use command cmake ./.. But its giving error.

The error: File "", line 1 from distutils import sysconfig; print sysconfig.get_python_lib() ^ SyntaxError: invalid syntax CMake Error at python/CMakeLists.txt:49 (if): if given arguments:

"(" "NOT" "EXISTS" "File \"<string>\", line 1 from distutils import sysconfig" " print sysconfig.get_python_inc() ^ SyntaxError: invalid syntax" ")"

Unknown arguments specified

-- Configuring incomplete, errors occurred!

Can anyone please help me out with this? Thank you

download error compiling • 460 views
ADD COMMENT
0
Entering edit mode

I tried to reinstall cmake in my account. But now I am getting this error: the command:

cmake ./..

the error: CMake Deprecation Warning at CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake.

Update the VERSION argument <min> value or use a ...<max> suffix to tell CMake that the project does not need compatibility with older versions.

File "<string>", line 1 from distutils import sysconfig; print sysconfig.get_python_lib() ^ SyntaxError: invalid syntax CMake Error at python/CMakeLists.txt:49 (if): if given arguments:

"(" "NOT" "EXISTS" "File \"<string>\", line 1
  from distutils import sysconfig" " print sysconfig.get_python_inc()
                                         ^

SyntaxError: invalid syntax" ")"

Unknown arguments specified

-- Configuring incomplete, errors occurred!

ADD REPLY
0
Entering edit mode

did you find any solution? The only thing that worked for me was to use the R-package on a Linux server but I had to > conda deactivate before starting the session.

ADD REPLY

Login before adding your answer.

Traffic: 1630 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6